Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core.cpp	(revision 88)
@@ -0,0 +1,109 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/include/Core.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+
+
+#undef  FUNCTION
+#define FUNCTION "Core::Core"
+  Core::Core 
+  (
+#ifdef SYSTEMC
+   sc_module_name name,
+#else
+   string name,
+#endif
+#ifdef STATISTICS
+   morpheo::behavioural::Parameters_Statistics * param_statistics,
+#endif
+   morpheo::behavioural::core::Parameters * param,
+   morpheo::behavioural::Tusage_t usage
+   ):
+    _name              (name)
+    ,_param            (param)
+    ,_usage            (usage)
+  {
+    log_begin(Core,FUNCTION);
+
+    usage_environment(_usage);
+
+#if DEBUG_Core == true
+    log_printf(INFO,Core,FUNCTION,_("<%s> Parameters"),_name.c_str());
+
+    std::cout << *param << std::endl;
+#endif    
+
+    log_printf(INFO,Core,FUNCTION,_("<%s> Allocation"),_name.c_str());
+
+    allocation (
+#ifdef STATISTICS
+		param_statistics
+#endif
+		);
+
+#ifdef STATISTICS
+    if (usage_is_set(_usage,USE_STATISTICS))
+      {	
+	log_printf(INFO,Core,FUNCTION,_("<%s> Allocation of statistics"),_name.c_str());
+
+	statistics_allocation(param_statistics);
+      }
+#endif
+
+#ifdef VHDL
+    if (usage_is_set(_usage,USE_VHDL))
+      {
+	// generate the vhdl
+	log_printf(INFO,Core,FUNCTION,_("<%s> Generate the vhdl"),_name.c_str());
+	
+	vhdl();
+      }
+#endif
+
+#ifdef SYSTEMC
+    if (usage_is_set(_usage,USE_SYSTEMC))
+      {
+	log_printf(INFO,Core,FUNCTION,_("<%s> Method - transition"),_name.c_str());
+
+	SC_METHOD (transition);
+	dont_initialize ();
+	sensitive << (*(in_CLOCK)).pos();
+	
+# ifdef SYSTEMCASS_SPECIFIC
+	// List dependency information
+# endif    
+      }
+#endif
+    log_end(Core,FUNCTION);
+  };
+    
+#undef  FUNCTION
+#define FUNCTION "Core::~Core"
+  Core::~Core (void)
+  {
+    log_begin(Core,FUNCTION);
+
+#ifdef STATISTICS
+    if (usage_is_set(_usage,USE_STATISTICS))
+      {
+	statistics_deallocation();
+      }
+#endif
+
+    log_printf(INFO,Core,FUNCTION,_("<%s> Deallocation"),_name.c_str());
+    deallocation ();
+
+    log_end(Core,FUNCTION);
+  };
+
+}; // end namespace core
+}; // end namespace behavioural
+}; // end namespace morpheo              
